Skip to content

Set shipping address; recomputes totals

POST
/store/v1/carts/{cartId}/shipping-address
curl --request POST \
--url https://your-store.example.com/store/v1/carts/example/shipping-address \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "company": "example", "line1": "example", "line2": "example", "city": "example", "postalCode": "example", "region": "example", "country": "example", "phone": "example" }'
cartId
required
string
Media type application/json
object
name
required
string
>= 1 characters <= 255 characters
company
Any of:
string
>= 1 characters <= 255 characters
line1
required
string
>= 1 characters <= 512 characters
line2
Any of:
string
>= 1 characters <= 512 characters
city
required
string
>= 1 characters <= 255 characters
postalCode
required
string
>= 1 characters <= 32 characters
region
Any of:
string
>= 1 characters <= 255 characters
country
required
string
/^[A-Za-z]{2}$/
phone
Any of:
string
>= 1 characters <= 64 characters
Example generated
{
"name": "example",
"company": "example",
"line1": "example",
"line2": "example",
"city": "example",
"postalCode": "example",
"region": "example",
"country": "example",
"phone": "example"
}